using System.Collections;
using System.Threading;
using R3;
using UnityEngine;
using UnityEngine.UIElements;

namespace KitsuneCafe.UI
{
    public interface IUiEffect
    {
        Observable<Unit> Execute(VisualElement target, CancellationToken token);
    }

    public abstract class BaseUiEffect : ScriptableObject
    {
        public abstract IUiEffect Instantiate();
    }
}
